Subject: Re: Tests tree not submitted?

From: Ananth N Mavinakayanahalli <[email-masked]>
Date: Mon, 19 May 2008 11:19:40 +0530

On Sun, May 18, 2008 at 10:00:03PM -0700, Andrew Morton wrote:
> On Mon, 19 May 2008 10:08:22 +0530 Ananth N Mavinakayanahalli <[email-masked]> wrote:
> 
> > On Mon, May 19, 2008 at 01:54:36PM +1000, Stephen Rothwell wrote:
> > > Hi Ananth, Sam,
> > 
> > Hi Stephen,
> > 
> > > Is there some reason that the tests tree changes have not bee submitted
> > > to Linus yet?  They have been in linux-next for quite some time now
> > > (since February 24) without any changes.
> > 
> > When this was submitted last, the opinion was that since it was post
> > 2.6.25-rc2 and since it had Kconfig changes, this should be deferred to
> > the next release. However I got busy during the merge time and couldn't
> > resumbit this.
> > 
> > I believe this being a code movement, its mostly benign. But if it needs
> > to wait for 2.6.27, thats fine too; also given that the -mm is now based
> > on -next, it'll get a lot more tested.
> > 
> > Andrew,
> > 
> > What is the best way forward here? Given the code has been in -next for
> > a few months, and given -mm is now based on -next, will you be pushing
> > these changes to Linus during the next merge window? Or, do you want me
> > to resubmit the patchset again later in the 2.6.26-rc cycle?
> 
> <brief panic>

Oops! Sorry Andrew :-)

> I don't even know what the "tests" tree _is_.
> 
> Searching the past seven weeks lmkl archives for From:.*ananth.* turns
> up zero hits.

http://marc.info/?l=linux-kernel&m=120285599718700&w=2 is Sam's mail to
lkml about it.

> So whatever this thing is, it's waaaaaaaaaaaaaaaaaaaaay too low-profile.

Yes, its nothing earth shattering :-) Just code consolidation.

> Did you even send Linus a pull request?  I have no record of one.

Sam did http://marc.info/?l=linux-kernel&m=120285599718700&w=2 again.

Ananth